---
title: <hatch>
slug: Web/SVG/Element/hatch
tags:
  - Element
  - Experimental
  - Filters
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Reference
  - SVG
---
<div>{{SVGRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>&lt;hatch&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element is used to fill or stroke an object using one or more pre-defined paths that are repeated at fixed intervals in a specified direction to cover the areas to be painted.</p>

<p>Hatches defined by the <code>&lt;hatch&gt;</code> element can then referenced by the {{cssxref("fill")}} and {{cssxref("stroke")}} {{Glossary("CSS")}} properties on a given <a href="/en-US/docs/Web/SVG/Element#Graphics_elements">graphics element</a> to indicate that the given element shall be filled or stroked with the hatch. Paths are defined by {{SVGElement("hatchpath")}} elements.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Global_event_attributes">Global event attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Presentation_attributes">Presentation attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Style_attributes">Style attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{SVGAttr("x")}}</li>
 <li>{{SVGAttr("y")}}</li>
 <li>{{SVGAttr("pitch")}}</li>
 <li>{{SVGAttr("rotate")}}</li>
 <li>{{SVGAttr("hatchUnits")}}</li>
 <li>{{SVGAttr("hatchContentUnits")}}</li>
 <li>{{SVGAttr("transform")}}</li>
 <li>{{SVGAttr("href")}}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGHatchElement")}} interface.</p>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg width="200" height="200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;hatch id="hatch" hatchUnits="userSpaceOnUse" pitch="5"
        rotate="135"&gt;
      &lt;hatchpath stroke="#a080ff" stroke-width="2"/&gt;
    &lt;/hatch&gt;
  &lt;/defs&gt;

  &lt;rect fill="url(#hatch)" stroke="black" stroke-width="2"
     x="10%" y="10%" width="80%" height="80%" /&gt;
&lt;/svg&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 200, 200)}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.hatch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("hatchpath")}}</li>
</ul>
